org.keycloak.representations.oidc

## Class OIDCClientRepresentation

- java.lang.Object
- - org.keycloak.representations.oidc.OIDCClientRepresentation

-     public class OIDCClientRepresentation
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCClientRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationType()`
    `String` | `getAuthorizationEncryptedResponseAlg()`
    `String` | `getAuthorizationEncryptedResponseEnc()`
    `String` | `getAuthorizationSignedResponseAlg()`
    `String` | `getBackchannelAuthenticationRequestSigningAlg()`
    `String` | `getBackchannelClientNotificationEndpoint()`
    `Boolean` | `getBackchannelLogoutRevokeOfflineTokens()`
    `Boolean` | `getBackchannelLogoutSessionRequired()`
    `String` | `getBackchannelLogoutUri()`
    `String` | `getBackchannelTokenDeliveryMode()`
    `String` | `getClientId()`
    `Integer` | `getClientIdIssuedAt()`
    `String` | `getClientName()`
    `String` | `getClientSecret()`
    `Integer` | `getClientSecretExpiresAt()`
    `String` | `getClientUri()`
    `List<String>` | `getContacts()`
    `List<String>` | `getDefaultAcrValues()`
    `Integer` | `getDefaultMaxAge()`
    `List<String>` | `getGrantTypes()`
    `String` | `getIdTokenEncryptedResponseAlg()`
    `String` | `getIdTokenEncryptedResponseEnc()`
    `String` | `getIdTokenSignedResponseAlg()`
    `String` | `getInitiateLoginUri()`
    `JSONWebKeySet` | `getJwks()`
    `String` | `getJwksUri()`
    `String` | `getLogoUri()`
    `String` | `getPolicyUri()`
    `List<String>` | `getPostLogoutRedirectUris()`
    `List<String>` | `getRedirectUris()`
    `String` | `getRegistrationAccessToken()`
    `String` | `getRegistrationClientUri()`
    `String` | `getRequestObjectEncryptionAlg()`
    `String` | `getRequestObjectEncryptionEnc()`
    `String` | `getRequestObjectSigningAlg()`
    `List<String>` | `getRequestUris()`
    `Boolean` | `getRequireAuthTime()`
    `Boolean` | `getRequirePushedAuthorizationRequests()`
    `List<String>` | `getResponseTypes()`
    `String` | `getScope()`
    `String` | `getSectorIdentifierUri()`
    `String` | `getSoftwareId()`
    `String` | `getSoftwareVersion()`
    `String` | `getSubjectType()`
    `String` | `getTlsClientAuthSubjectDn()`
    `Boolean` | `getTlsClientCertificateBoundAccessTokens()`
    `String` | `getTokenEndpointAuthMethod()`
    `String` | `getTokenEndpointAuthSigningAlg()`
    `String` | `getTosUri()`
    `String` | `getUserinfoEncryptedResponseAlg()`
    `String` | `getUserinfoEncryptedResponseEnc()`
    `String` | `getUserinfoSignedResponseAlg()`
    `void` | `setApplicationType(String applicationType)`
    `void` | `setAuthorizationEncryptedResponseAlg(String authorization_encrypted_response_alg)`
    `void` | `setAuthorizationEncryptedResponseEnc(String authorization_encrypted_response_enc)`
    `void` | `setAuthorizationSignedResponseAlg(String authorization_signed_response_alg)`
    `void` | `setBackchannelAuthenticationRequestSigningAlg(String backchannel_authentication_request_signing_alg)`
    `void` | `setBackchannelClientNotificationEndpoint(String backchannel_client_notification_endpoint)`
    `void` | `setBackchannelLogoutRevokeOfflineTokens(Boolean backchannel_logout_revoke_offline_tokens)`
    `void` | `setBackchannelLogoutSessionRequired(Boolean backchannel_logout_session_required)`
    `void` | `setBackchannelLogoutUri(String backchannel_logout_uri)`
    `void` | `setBackchannelTokenDeliveryMode(String backchannel_token_delivery_mode)`
    `void` | `setClientId(String clientId)`
    `void` | `setClientIdIssuedAt(Integer clientIdIssuedAt)`
    `void` | `setClientName(String client_name)`
    `void` | `setClientSecret(String clientSecret)`
    `void` | `setClientSecretExpiresAt(Integer client_secret_expires_at)`
    `void` | `setClientUri(String client_uri)`
    `void` | `setContacts(List<String> contacts)`
    `void` | `setDefaultAcrValues(List<String> default_acr_values)`
    `void` | `setDefaultMaxAge(Integer default_max_age)`
    `void` | `setGrantTypes(List<String> grantTypes)`
    `void` | `setIdTokenEncryptedResponseAlg(String idTokenEncryptedResponseAlg)`
    `void` | `setIdTokenEncryptedResponseEnc(String idTokenEncryptedResponseEnc)`
    `void` | `setIdTokenSignedResponseAlg(String idTokenSignedResponseAlg)`
    `void` | `setInitiateLoginUri(String initiate_login_uri)`
    `void` | `setJwks(JSONWebKeySet jwks)`
    `void` | `setJwksUri(String jwks_uri)`
    `void` | `setLogoUri(String logo_uri)`
    `void` | `setPolicyUri(String policy_uri)`
    `void` | `setPostLogoutRedirectUris(List<String> post_logout_redirect_uris)`
    `void` | `setRedirectUris(List<String> redirectUris)`
    `void` | `setRegistrationAccessToken(String registrationAccessToken)`
    `void` | `setRegistrationClientUri(String registrationClientUri)`
    `void` | `setRequestObjectEncryptionAlg(String request_object_encryption_alg)`
    `void` | `setRequestObjectEncryptionEnc(String request_object_encryption_enc)`
    `void` | `setRequestObjectSigningAlg(String request_object_signing_alg)`
    `void` | `setRequestUris(List<String> requestUris)`
    `void` | `setRequireAuthTime(Boolean require_auth_time)`
    `void` | `setRequirePushedAuthorizationRequests(Boolean require_pushed_authorization_requests)`
    `void` | `setResponseTypes(List<String> responseTypes)`
    `void` | `setScope(String scope)`
    `void` | `setSectorIdentifierUri(String sectorIdentifierUri)`
    `void` | `setSoftwareId(String softwareId)`
    `void` | `setSoftwareVersion(String softwareVersion)`
    `void` | `setSubjectType(String subjectType)`
    `void` | `setTlsClientAuthSubjectDn(String tls_client_auth_subject_dn)`
    `void` | `setTlsClientCertificateBoundAccessTokens(Boolean tls_client_certificate_bound_access_tokens)`
    `void` | `setTokenEndpointAuthMethod(String token_endpoint_auth_method)`
    `void` | `setTokenEndpointAuthSigningAlg(String token_endpoint_auth_signing_alg)`
    `void` | `setTosUri(String tos_uri)`
    `void` | `setUserinfoEncryptedResponseAlg(String userinfo_encrypted_response_alg)`
    `void` | `setUserinfoEncryptedResponseEnc(String userinfo_encrypted_response_enc)`
    `void` | `setUserinfoSignedResponseAlg(String userinfo_signed_response_alg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OIDCClientRepresentation

          public OIDCClientRepresentation()

  - ### Method Detail

    - #### getRedirectUris

          public List<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(List<String> redirectUris)

    - #### getTokenEndpointAuthMethod

          public String getTokenEndpointAuthMethod()

    - #### setTokenEndpointAuthMethod

          public void setTokenEndpointAuthMethod(String token_endpoint_auth_method)

    - #### getTokenEndpointAuthSigningAlg

          public String getTokenEndpointAuthSigningAlg()

    - #### setTokenEndpointAuthSigningAlg

          public void setTokenEndpointAuthSigningAlg(String token_endpoint_auth_signing_alg)

    - #### getGrantTypes

          public List<String> getGrantTypes()

    - #### setGrantTypes

          public void setGrantTypes(List<String> grantTypes)

    - #### getResponseTypes

          public List<String> getResponseTypes()

    - #### setResponseTypes

          public void setResponseTypes(List<String> responseTypes)

    - #### getApplicationType

          public String getApplicationType()

    - #### setApplicationType

          public void setApplicationType(String applicationType)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getClientSecret

          public String getClientSecret()

    - #### setClientSecret

          public void setClientSecret(String clientSecret)

    - #### getClientName

          public String getClientName()

    - #### setClientName

          public void setClientName(String client_name)

    - #### getClientUri

          public String getClientUri()

    - #### setClientUri

          public void setClientUri(String client_uri)

    - #### getLogoUri

          public String getLogoUri()

    - #### setLogoUri

          public void setLogoUri(String logo_uri)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getContacts

          public List<String> getContacts()

    - #### setContacts

          public void setContacts(List<String> contacts)

    - #### getTosUri

          public String getTosUri()

    - #### setTosUri

          public void setTosUri(String tos_uri)

    - #### getPolicyUri

          public String getPolicyUri()

    - #### setPolicyUri

          public void setPolicyUri(String policy_uri)

    - #### getJwksUri

          public String getJwksUri()

    - #### setJwksUri

          public void setJwksUri(String jwks_uri)

    - #### getJwks

          public JSONWebKeySet getJwks()

    - #### setJwks

          public void setJwks(JSONWebKeySet jwks)

    - #### getSectorIdentifierUri

          public String getSectorIdentifierUri()

    - #### setSectorIdentifierUri

          public void setSectorIdentifierUri(String sectorIdentifierUri)

    - #### getSubjectType

          public String getSubjectType()

    - #### setSubjectType

          public void setSubjectType(String subjectType)

    - #### getIdTokenSignedResponseAlg

          public String getIdTokenSignedResponseAlg()

    - #### setIdTokenSignedResponseAlg

          public void setIdTokenSignedResponseAlg(String idTokenSignedResponseAlg)

    - #### getIdTokenEncryptedResponseAlg

          public String getIdTokenEncryptedResponseAlg()

    - #### setIdTokenEncryptedResponseAlg

          public void setIdTokenEncryptedResponseAlg(String idTokenEncryptedResponseAlg)

    - #### getIdTokenEncryptedResponseEnc

          public String getIdTokenEncryptedResponseEnc()

    - #### setIdTokenEncryptedResponseEnc

          public void setIdTokenEncryptedResponseEnc(String idTokenEncryptedResponseEnc)

    - #### getUserinfoSignedResponseAlg

          public String getUserinfoSignedResponseAlg()

    - #### setUserinfoSignedResponseAlg

          public void setUserinfoSignedResponseAlg(String userinfo_signed_response_alg)

    - #### getUserinfoEncryptedResponseAlg

          public String getUserinfoEncryptedResponseAlg()

    - #### setUserinfoEncryptedResponseAlg

          public void setUserinfoEncryptedResponseAlg(String userinfo_encrypted_response_alg)

    - #### getUserinfoEncryptedResponseEnc

          public String getUserinfoEncryptedResponseEnc()

    - #### setUserinfoEncryptedResponseEnc

          public void setUserinfoEncryptedResponseEnc(String userinfo_encrypted_response_enc)

    - #### getRequestObjectSigningAlg

          public String getRequestObjectSigningAlg()

    - #### setRequestObjectSigningAlg

          public void setRequestObjectSigningAlg(String request_object_signing_alg)

    - #### getRequestObjectEncryptionAlg

          public String getRequestObjectEncryptionAlg()

    - #### setRequestObjectEncryptionAlg

          public void setRequestObjectEncryptionAlg(String request_object_encryption_alg)

    - #### getRequestObjectEncryptionEnc

          public String getRequestObjectEncryptionEnc()

    - #### setRequestObjectEncryptionEnc

          public void setRequestObjectEncryptionEnc(String request_object_encryption_enc)

    - #### getDefaultMaxAge

          public Integer getDefaultMaxAge()

    - #### setDefaultMaxAge

          public void setDefaultMaxAge(Integer default_max_age)

    - #### getRequireAuthTime

          public Boolean getRequireAuthTime()

    - #### setRequireAuthTime

          public void setRequireAuthTime(Boolean require_auth_time)

    - #### getDefaultAcrValues

          public List<String> getDefaultAcrValues()

    - #### setDefaultAcrValues

          public void setDefaultAcrValues(List<String> default_acr_values)

    - #### getInitiateLoginUri

          public String getInitiateLoginUri()

    - #### setInitiateLoginUri

          public void setInitiateLoginUri(String initiate_login_uri)

    - #### getRequestUris

          public List<String> getRequestUris()

    - #### setRequestUris

          public void setRequestUris(List<String> requestUris)

    - #### getPostLogoutRedirectUris

          public List<String> getPostLogoutRedirectUris()

    - #### setPostLogoutRedirectUris

          public void setPostLogoutRedirectUris(List<String> post_logout_redirect_uris)

    - #### getSoftwareId

          public String getSoftwareId()

    - #### setSoftwareId

          public void setSoftwareId(String softwareId)

    - #### getSoftwareVersion

          public String getSoftwareVersion()

    - #### setSoftwareVersion

          public void setSoftwareVersion(String softwareVersion)

    - #### getClientIdIssuedAt

          public Integer getClientIdIssuedAt()

    - #### setClientIdIssuedAt

          public void setClientIdIssuedAt(Integer clientIdIssuedAt)

    - #### getClientSecretExpiresAt

          public Integer getClientSecretExpiresAt()

    - #### setClientSecretExpiresAt

          public void setClientSecretExpiresAt(Integer client_secret_expires_at)

    - #### getRegistrationClientUri

          public String getRegistrationClientUri()

    - #### setRegistrationClientUri

          public void setRegistrationClientUri(String registrationClientUri)

    - #### getRegistrationAccessToken

          public String getRegistrationAccessToken()

    - #### setRegistrationAccessToken

          public void setRegistrationAccessToken(String registrationAccessToken)

    - #### getTlsClientCertificateBoundAccessTokens

          public Boolean getTlsClientCertificateBoundAccessTokens()

    - #### setTlsClientCertificateBoundAccessTokens

          public void setTlsClientCertificateBoundAccessTokens(Boolean tls_client_certificate_bound_access_tokens)

    - #### getBackchannelLogoutUri

          public String getBackchannelLogoutUri()

    - #### setBackchannelLogoutUri

          public void setBackchannelLogoutUri(String backchannel_logout_uri)

    - #### getBackchannelLogoutSessionRequired

          public Boolean getBackchannelLogoutSessionRequired()

    - #### setBackchannelLogoutSessionRequired

          public void setBackchannelLogoutSessionRequired(Boolean backchannel_logout_session_required)

    - #### getBackchannelLogoutRevokeOfflineTokens

          public Boolean getBackchannelLogoutRevokeOfflineTokens()

    - #### setBackchannelLogoutRevokeOfflineTokens

          public void setBackchannelLogoutRevokeOfflineTokens(Boolean backchannel_logout_revoke_offline_tokens)

    - #### getTlsClientAuthSubjectDn

          public String getTlsClientAuthSubjectDn()

    - #### setTlsClientAuthSubjectDn

          public void setTlsClientAuthSubjectDn(String tls_client_auth_subject_dn)

    - #### getBackchannelTokenDeliveryMode

          public String getBackchannelTokenDeliveryMode()

    - #### setBackchannelTokenDeliveryMode

          public void setBackchannelTokenDeliveryMode(String backchannel_token_delivery_mode)

    - #### getBackchannelClientNotificationEndpoint

          public String getBackchannelClientNotificationEndpoint()

    - #### setBackchannelClientNotificationEndpoint

          public void setBackchannelClientNotificationEndpoint(String backchannel_client_notification_endpoint)

    - #### getBackchannelAuthenticationRequestSigningAlg

          public String getBackchannelAuthenticationRequestSigningAlg()

    - #### setBackchannelAuthenticationRequestSigningAlg

          public void setBackchannelAuthenticationRequestSigningAlg(String backchannel_authentication_request_signing_alg)

    - #### getAuthorizationSignedResponseAlg

          public String getAuthorizationSignedResponseAlg()

    - #### setAuthorizationSignedResponseAlg

          public void setAuthorizationSignedResponseAlg(String authorization_signed_response_alg)

    - #### getAuthorizationEncryptedResponseAlg

          public String getAuthorizationEncryptedResponseAlg()

    - #### setAuthorizationEncryptedResponseAlg

          public void setAuthorizationEncryptedResponseAlg(String authorization_encrypted_response_alg)

    - #### getAuthorizationEncryptedResponseEnc

          public String getAuthorizationEncryptedResponseEnc()

    - #### setAuthorizationEncryptedResponseEnc

          public void setAuthorizationEncryptedResponseEnc(String authorization_encrypted_response_enc)

    - #### getRequirePushedAuthorizationRequests

          public Boolean getRequirePushedAuthorizationRequests()

    - #### setRequirePushedAuthorizationRequests

          public void setRequirePushedAuthorizationRequests(Boolean require_pushed_authorization_requests)

Copyright © 2021 JBoss by Red Hat. All rights reserved.